GNU bug report logs - #28878
CEDET merge bug

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: charles@HIDDEN (Charles A. Roelli); merged with #23792; dated Tue, 17 Oct 2017 18:44:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 28878 <at> debbugs.gnu.org:


Received: (at 28878) by debbugs.gnu.org; 16 Nov 2019 08:50:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 16 03:50:23 2019
Received: from localhost ([127.0.0.1]:37710 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iVtmh-0000ay-AL
	for submit <at> debbugs.gnu.org; Sat, 16 Nov 2019 03:50:23 -0500
Received: from randomsample.de ([5.45.97.173]:51411)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <deng@HIDDEN>)
 id 1iVtme-0000ak-S9; Sat, 16 Nov 2019 03:50:22 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=randomsample.de; s=a; 
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID:Date:References:In-Reply-To:Subject:Cc:To:From;
 bh=ys7qabn0gtbPz9pFsFo00HcNyM6cYSLCsL9LfuuaYog=; 
 b=JW9RwP18OK+yx/1PB/O8oWmNmQl3NAb8PPBANVocdQJ6d3zlGCuZ0fBvhfAOslWAp/LpP9y1bRwAyEJWAV/YukZsfAAIUEIKk5DsNHuGiwfovEdesEFcER/GVqPPGEMW;
Received: from ip5f5abab0.dynamic.kabel-deutschland.de ([95.90.186.176]
 helo=void)
 by randomsample.de with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.80) (envelope-from <deng@HIDDEN>)
 id 1iVtmW-0001Dz-U9; Sat, 16 Nov 2019 09:50:12 +0100
From: David Engster <deng@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#28878: CEDET merge bug
In-Reply-To: <87o8xnuhr3.fsf@HIDDEN> (Stefan Kangas's message of "Fri, 08
 Nov 2019 05:14:24 +0100")
References: <m24lqxlinm.fsf@HIDDEN> <877evtwlse.fsf@HIDDEN>
 <CAMz5G5_D6eRe4HBDZnTQMccmNgNqUiAMXq7WQLHh_SzUhG4dyg@HIDDEN>
 <871sm0wl6m.fsf@HIDDEN>
 <CAMz5G58aJaCrdxV7LfJYVnjN6-PFe+h608F9t73q_xZ8omHV+w@HIDDEN>
 <87fuadwo2g.fsf@HIDDEN> <87o8xnuhr3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
Date: Sat, 16 Nov 2019 09:49:58 +0100
Message-ID: <8736eotdc9.fsf@randomsample>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 28878
Cc: "Charles A. Roelli" <charles@HIDDEN>,
 Edward Steere <edward.steere@HIDDEN>, 28878 <at> debbugs.gnu.org,
 23792 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas writes:
> David Engster <david@HIDDEN> writes:
>
>> Edward Steere writes:
>>> I count 165 commits since the last merge when I look at cedet.git
>>> and I only see 49 commits in emacs.git from your work on the
>>> merge.=A0 What about the other 116 commits?
>>
>> I dropped all commits that did not concern the subset of CEDET that is
>> in Emacs proper. It is entirely possible of course that I made a mistake
>> here or there; it'd be nice if someone could check.
>>
>> -David
>
> That was 3 years ago.  What's the current status of this merge -- has
> it been completed?

No. After being fed up with the Emacs maintainer at the time I stopped
working on this. My final work was the last-cedet-merge branch, which
should contain all yet unmerged patches from the SourceForge repo.

-David




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28878; Package emacs. Full text available.

Message received at 28878 <at> debbugs.gnu.org:


Received: (at 28878) by debbugs.gnu.org; 11 Nov 2019 02:07:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 10 21:07:21 2019
Received: from localhost ([127.0.0.1]:52917 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTz6u-0004bs-UC
	for submit <at> debbugs.gnu.org; Sun, 10 Nov 2019 21:07:21 -0500
Received: from host.gofardesign.uk ([208.79.239.190]:60669)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>)
 id 1iTz6s-0004ba-8G; Sun, 10 Nov 2019 21:07:19 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=1tOhZgr4/kUlPF+fJoBxOqBAab6g9UZk0kNQOFzuCnk=; b=IpXdaJCZq1TsI2st5PVC/+c3KV
 VRplBH/TO+4pIANHYonavtpwrhrvAXthQdve6JGGAFTfuSVfPqjyklL3rEzl8zTMbl73QXOmlq0xR
 Q2lxWpKDI9gZiCiHbNo13/J46GWK8Pg5XeYc3io7B7Nex8+uFOfLy+3BIy8hS5Ui+A3s=;
Received: from h-70-69.a785.priv.bahnhof.se ([155.4.70.69]:33500
 helo=localhost)
 by host.gofardesign.uk with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.92) (envelope-from <stefan@HIDDEN>)
 id 1iTz6l-0000Ea-8t; Sun, 10 Nov 2019 20:07:11 -0600
From: Stefan Kangas <stefan@HIDDEN>
To: Eric Ludlam <ericludlam@HIDDEN>
Subject: Re: bug#28878: CEDET merge bug
In-Reply-To: <9c93fa1a-69fc-fbfd-9d83-a31e33a82c80@HIDDEN> (Eric Ludlam's
 message of "Sun, 10 Nov 2019 19:11:42 -0500")
References: <m24lqxlinm.fsf@HIDDEN> <877evtwlse.fsf@HIDDEN>
 <CAMz5G5_D6eRe4HBDZnTQMccmNgNqUiAMXq7WQLHh_SzUhG4dyg@HIDDEN>
 <871sm0wl6m.fsf@HIDDEN>
 <CAMz5G58aJaCrdxV7LfJYVnjN6-PFe+h608F9t73q_xZ8omHV+w@HIDDEN>
 <87fuadwo2g.fsf@HIDDEN> <87o8xnuhr3.fsf@HIDDEN>
 <9358B626-B5C3-4796-A4F8-9447422C16EB@HIDDEN>
 <CADwFkm=79V1tgg9mdhwg=z+V_GEtmeGXn5Sh1T7gOgoPT_C9ig@HIDDEN>
 <9c93fa1a-69fc-fbfd-9d83-a31e33a82c80@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Date: Mon, 11 Nov 2019 03:07:09 +0100
Message-ID: <87d0dzrws2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-OutGoing-Spam-Status: No, score=-1.0
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - host.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: host.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: host.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 28878
Cc: "Eric M. Ludlam" <zappo@HIDDEN>, "Charles A. Roelli" <charles@HIDDEN>,
 28878 <at> debbugs.gnu.org, 23792 <at> debbugs.gnu.org,
 Edward Steere <edward.steere@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, David Engster <david@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Ludlam <ericludlam@HIDDEN> writes:

> If there are puzzles around the merge done so far I can look at them, but I
> don't have commit privileges for Emacs, nor particularly deep git skills.

"git branch -a | grep cedet" yields the following matches:

1. remotes/origin/old-branches/cedet-branch

   Last updated in 2009.  It could perhaps be deleted?  The last
   commit there is a2095e2ed and seems to be on the master branch
   already.

2. remotes/origin/scratch/last-cedet-merge

   Not sure about the status here.  The last commit d2a57bdfec is not
   merged to master AFAICT.

3. remotes/origin/scratch/merge-cedet-tests

   This seems to be the branch that Edward was working on.

You could check them out in git using something like:

  git checkout --track origin/scratch/merge-cedet-tests

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28878; Package emacs. Full text available.

Message received at 28878 <at> debbugs.gnu.org:


Received: (at 28878) by debbugs.gnu.org; 11 Nov 2019 00:11:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 10 19:11:52 2019
Received: from localhost ([127.0.0.1]:52853 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTxJA-0001iF-L9
	for submit <at> debbugs.gnu.org; Sun, 10 Nov 2019 19:11:52 -0500
Received: from mail-qv1-f66.google.com ([209.85.219.66]:43823)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ericludlam@HIDDEN>)
 id 1iTxJ8-0001hx-3t; Sun, 10 Nov 2019 19:11:50 -0500
Received: by mail-qv1-f66.google.com with SMTP id cg2so4217703qvb.10;
 Sun, 10 Nov 2019 16:11:50 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding:content-language;
 bh=W5NAQ68DSLEEhlFQvOk/DmbVaZm82droC1Ds3W1pdsI=;
 b=Ol8Ew2loW5DDg5xtJKE5RMrNU763mKNjBCiYRARPTYqnWHcUQVK6oDNfR9f7IUpr+B
 jxdiYppTuyECRGFBR5EJ6ucHTqu195IzIUgPTP8HsRYnsxdkt3JuEO1PXJvDgJv0qghc
 fHgMxPmAos64rtY9IA8Je7MztycE1eMI9Vv89yaVaNbtxXUJEpDPKU7pEuPJWyXHBmpA
 iy3d5rZTdVwUsRKnNlpJ3D1pdd4lgqMerGZ/hDcJKmUtfGBwarlFlvuWMXfO84wny9QB
 n+uXXauwaV1Ps0yLsNQwr9hL2lAH8iyMFLHDES/Y0Vf4OK0y0ubS2mf22J4RyMBk+rlr
 srag==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-transfer-encoding
 :content-language;
 bh=W5NAQ68DSLEEhlFQvOk/DmbVaZm82droC1Ds3W1pdsI=;
 b=BOfGjoj7v9u4O3u11bBwgOL2nAbo9rVMyvg1od1uOks7mCEKyfzchFvIK+2pd0FFxF
 03cm3Ne7YCbT7gKYMeqog+g4ZeS9C6X1Tj4cIViO6ezMezn8OnuWD5v0Q+QMBHM8oUUP
 Tr8zzGl2mnDyt3Pe3qHR/tEsYfN14kvOTq3DnUHmRmopX/1tc6H7jYecIIphWS+J/Ijp
 Sc1KNrLYQvvmNZXXPQyr3Qi2aQPMSdvlkoOnfJE7zR6O65tIsoK0PbM7S7Sgj73wZTwh
 1IyavWlHDMGeOhtP6xg3HsKxWtXAeyX0dQCkqVieyLMVbUQY7t4GDwH9c5ViEgb6Iw5n
 WRqQ==
X-Gm-Message-State: APjAAAW/zQxyTCQiaTIl6osl765JHkbp+mUeACEdMTTw/OgcuemvuAlT
 P6pI3+UbSIg+OubndzfP+Z4=
X-Google-Smtp-Source: APXvYqyC2nUquXKiuJs/stHa/UdNYQfCv0qhvwNe4SNDvRr7SB08JSG1ss2ZViokIvctTrNYJKLlXw==
X-Received: by 2002:a0c:ed2e:: with SMTP id u14mr21753434qvq.119.1573431104230; 
 Sun, 10 Nov 2019 16:11:44 -0800 (PST)
Received: from [192.168.1.202] (pool-108-20-30-136.bstnma.fios.verizon.net.
 [108.20.30.136])
 by smtp.googlemail.com with ESMTPSA id u27sm8456932qtj.5.2019.11.10.16.11.42
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 10 Nov 2019 16:11:43 -0800 (PST)
Subject: Re: bug#28878: CEDET merge bug
To: Stefan Kangas <stefan@HIDDEN>, Edward Steere <edward.steere@HIDDEN>
References: <m24lqxlinm.fsf@HIDDEN> <877evtwlse.fsf@HIDDEN>
 <CAMz5G5_D6eRe4HBDZnTQMccmNgNqUiAMXq7WQLHh_SzUhG4dyg@HIDDEN>
 <871sm0wl6m.fsf@HIDDEN>
 <CAMz5G58aJaCrdxV7LfJYVnjN6-PFe+h608F9t73q_xZ8omHV+w@HIDDEN>
 <87fuadwo2g.fsf@HIDDEN> <87o8xnuhr3.fsf@HIDDEN>
 <9358B626-B5C3-4796-A4F8-9447422C16EB@HIDDEN>
 <CADwFkm=79V1tgg9mdhwg=z+V_GEtmeGXn5Sh1T7gOgoPT_C9ig@HIDDEN>
From: Eric Ludlam <ericludlam@HIDDEN>
Message-ID: <9c93fa1a-69fc-fbfd-9d83-a31e33a82c80@HIDDEN>
Date: Sun, 10 Nov 2019 19:11:42 -0500
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.9.0
MIME-Version: 1.0
In-Reply-To: <CADwFkm=79V1tgg9mdhwg=z+V_GEtmeGXn5Sh1T7gOgoPT_C9ig@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
Content-Language: en-US
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 28878
Cc: David Engster <david@HIDDEN>, "Charles A. Roelli" <charles@HIDDEN>,
 28878 <at> debbugs.gnu.org, 23792 <at> debbugs.gnu.org,
 Stefan Monnier <monnier@HIDDEN>, "Eric M. Ludlam" <zappo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 11/10/19 4:07 PM, Stefan Kangas wrote:
> Edward Steere <edward.steere@HIDDEN> writes:
>
>> I don’t think that the merge was ever completed.
>>
>> Unfortunately, I think that I bit off more than I could chew when I tried to help out with this one.
>> I feel that my involvement with the CEDET project was too shallow to really understand how to merge it properly.
>>
>> There's been some added drift between the CEDET project and core since those efforts.
>> The drift is largely because of maintenance and API improvements to things like EIEIO.
>>
>> I'd be happy to assist in some capacity with the merge, but I certainly don’t feel comfortable spear heading it.
> Thanks for reporting back.  I don't really have much to add since I
> don't use CEDET myself.  Let's hope that someone else picks up the
> ball here.
>
> Copying in Eric Ludlam into the conversation as the listed maintainer of CEDET.

Thanks for the note.  I haven't been updating CEDET on sourceforge as 
these merges seem to be a problem, and the SF version can't run on newer 
versions of Emacs.

If there are puzzles around the merge done so far I can look at them, 
but I don't have commit privileges for Emacs, nor particularly deep git 
skills.

I recently posted patches to bring over a large swatch of CEDET tests, 
plus a few small fixes from SF to make them run, which Stefan pushed for 
me.  That could complicate the merge.

Eric





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28878; Package emacs. Full text available.

Message received at 28878 <at> debbugs.gnu.org:


Received: (at 28878) by debbugs.gnu.org; 10 Nov 2019 21:08:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 10 16:08:12 2019
Received: from localhost ([127.0.0.1]:52674 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTuRP-0003hx-WF
	for submit <at> debbugs.gnu.org; Sun, 10 Nov 2019 16:08:12 -0500
Received: from mail-pg1-f181.google.com ([209.85.215.181]:46388)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>)
 id 1iTuRK-0003hJ-4p; Sun, 10 Nov 2019 16:08:06 -0500
Received: by mail-pg1-f181.google.com with SMTP id r18so7987865pgu.13;
 Sun, 10 Nov 2019 13:08:06 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=KE8FsPTQiQQcgvaTpirMAiHGByoVRSvejsHCamB9IL4=;
 b=pMUH3IyvonUlMS6jNhv78pEhEskOF9xajJQHXYeNa1PYOX6CuF456hrA2W/YasGa9f
 3LGt2l4YM8FHvTpulFuOvu3BS3DgzkxawxnJbOEP9WxVglviRZguVvuxljwJyJdxlJo8
 73IzS0bU9zex49vmNSppOAq6lrz46Pi0RTTHSDJzPmtYZSu9Qj05G/vqWXDVuNVDKcRb
 zgdx0logQjY+0o+kqdi+99D+BFnNVlvvWNMANSp+HlK6rXdAAGLXc8o+WpKlJwZUJ0Xj
 B+xf7+XFp9rBFRkQtZT8yMlPeAy0F8uJYSvBQyWphXPIEIG6mkMhv8hixgA3GUEdwhVa
 op9g==
X-Gm-Message-State: APjAAAWlDRP2DjialJa1nULL1So4dhtKdTZbPdVaPvSIcgt/Zi2hpb+e
 xgCJ5sxTfyzcRK+5DrKW+AD1Sc7lAN9YWSr9fcY=
X-Google-Smtp-Source: APXvYqwlB9Tsj04SiVqXOiqcwtbQhpzDAfHSLXGul/yPDgwyHBYSVwImwLPKsE9NBpfRy3XW51iVSUKeXY+f1nU27OM=
X-Received: by 2002:a63:7015:: with SMTP id l21mr23073018pgc.200.1573420080326; 
 Sun, 10 Nov 2019 13:08:00 -0800 (PST)
MIME-Version: 1.0
References: <m24lqxlinm.fsf@HIDDEN> <877evtwlse.fsf@HIDDEN>
 <CAMz5G5_D6eRe4HBDZnTQMccmNgNqUiAMXq7WQLHh_SzUhG4dyg@HIDDEN>
 <871sm0wl6m.fsf@HIDDEN>
 <CAMz5G58aJaCrdxV7LfJYVnjN6-PFe+h608F9t73q_xZ8omHV+w@HIDDEN>
 <87fuadwo2g.fsf@HIDDEN> <87o8xnuhr3.fsf@HIDDEN>
 <9358B626-B5C3-4796-A4F8-9447422C16EB@HIDDEN>
In-Reply-To: <9358B626-B5C3-4796-A4F8-9447422C16EB@HIDDEN>
From: Stefan Kangas <stefan@HIDDEN>
Date: Sun, 10 Nov 2019 22:07:49 +0100
Message-ID: <CADwFkm=79V1tgg9mdhwg=z+V_GEtmeGXn5Sh1T7gOgoPT_C9ig@HIDDEN>
Subject: Re: bug#28878: CEDET merge bug
To: Edward Steere <edward.steere@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 28878
Cc: David Engster <david@HIDDEN>, "Charles A. Roelli" <charles@HIDDEN>,
 28878 <at> debbugs.gnu.org, 23792 <at> debbugs.gnu.org,
 Stefan Monnier <monnier@HIDDEN>, "Eric M. Ludlam" <zappo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Edward Steere <edward.steere@HIDDEN> writes:

> I don=E2=80=99t think that the merge was ever completed.
>
> Unfortunately, I think that I bit off more than I could chew when I tried=
 to help out with this one.
> I feel that my involvement with the CEDET project was too shallow to real=
ly understand how to merge it properly.
>
> There's been some added drift between the CEDET project and core since th=
ose efforts.
> The drift is largely because of maintenance and API improvements to thing=
s like EIEIO.
>
> I'd be happy to assist in some capacity with the merge, but I certainly d=
on=E2=80=99t feel comfortable spear heading it.

Thanks for reporting back.  I don't really have much to add since I
don't use CEDET myself.  Let's hope that someone else picks up the
ball here.

Copying in Eric Ludlam into the conversation as the listed maintainer of CE=
DET.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28878; Package emacs. Full text available.

Message received at 28878 <at> debbugs.gnu.org:


Received: (at 28878) by debbugs.gnu.org; 10 Nov 2019 07:51:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 10 02:51:51 2019
Received: from localhost ([127.0.0.1]:50581 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTi0l-0005lw-JY
	for submit <at> debbugs.gnu.org; Sun, 10 Nov 2019 02:51:51 -0500
Received: from mail-lj1-f195.google.com ([209.85.208.195]:40718)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <edward.steere@HIDDEN>)
 id 1iTi0i-0005ld-HQ; Sun, 10 Nov 2019 02:51:49 -0500
Received: by mail-lj1-f195.google.com with SMTP id q2so10485357ljg.7;
 Sat, 09 Nov 2019 23:51:48 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=qPA8Kzu74UA5hWGLrtyNUaog3DT7aSLAvTdJHxgEQIg=;
 b=cgRZ8+HSGHg+6eqZ6VK4xDfYf4LlOCw6I97m9CI04fQr/0qMMAf+BxCnExLIwUrJhu
 Rm7t/GIwarjq9NRGxvAEVj2Ck4eg0NOCJR7Me/vTeVUGdOhjJWJqvZ4AEPRn15+yB+q5
 6Uk5oY5oP6K0ONW4pRT0Y3qzu/1PHhhVp7b35UE4/eSwOcpFZDkK+GIN7XWBUU8A/LhT
 l/l/CzmHBLs1bRO8/5+SZwGJATnS7h0qmd3Iuul5k+4YbvBJh5EHFoTW2StqLV7JnQYI
 ndkvpFikYAHXY3uOguTXcgb0xg7SlpS7aaOjXfIGPGo4p3uNFBbX9bfe7khxUm40JBo4
 h20w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=qPA8Kzu74UA5hWGLrtyNUaog3DT7aSLAvTdJHxgEQIg=;
 b=prZfXf10cGNt8NAgVK8yMvxlPfXM1R0sciqyCO/A61Nmu7KYNJng6qOdr6EIQ+YtdS
 WHPCC7y9KzkvZP+rHuAbbOqoAuedFEHw/giq/kXJ0j2LNr6ecLtS0u78aWquYLd7uR3O
 ApyfizWs3zpY9Gb2Iym/L1hLQevt/9xvP+IuccZ6zy12fXNuZDJtbBUzBpxiSglEzCte
 8Kd7DW2Hw5p6HtK9DpyPnQI1IKOUNehKhGOM08rZgWUde/8sIa6nj1vET3S1e436FrmV
 /Nnu1kKyx5wbHwkyB8d5s1yanBpHOJRoXiFlES5fwN3vYjXTgwWYEZAOCcL2tYb8NFo/
 s/gw==
X-Gm-Message-State: APjAAAUyk3i8urnFh33A+v7nMLBnn4S/x/V/8N6sDYUf66rVSGEkvj3S
 TKpSegVJOkeqG108BM/b4rs=
X-Google-Smtp-Source: APXvYqw+94lJ68ua1TYAt+7U4JS7G7K8/SuxPWHysMtvPh/hYHoYO8Yir0TX7Z8Ecr04719kd2s6Qg==
X-Received: by 2002:a2e:7c10:: with SMTP id x16mr12383557ljc.120.1573372302482; 
 Sat, 09 Nov 2019 23:51:42 -0800 (PST)
Received: from [10.5.53.106] ([165.16.176.234])
 by smtp.gmail.com with ESMTPSA id k9sm5913149lfj.97.2019.11.09.23.51.39
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 09 Nov 2019 23:51:42 -0800 (PST)
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.11\))
Subject: Re: bug#28878: CEDET merge bug
From: Edward Steere <edward.steere@HIDDEN>
In-Reply-To: <87o8xnuhr3.fsf@HIDDEN>
Date: Sun, 10 Nov 2019 09:48:23 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <9358B626-B5C3-4796-A4F8-9447422C16EB@HIDDEN>
References: <m24lqxlinm.fsf@HIDDEN> <877evtwlse.fsf@HIDDEN>
 <CAMz5G5_D6eRe4HBDZnTQMccmNgNqUiAMXq7WQLHh_SzUhG4dyg@HIDDEN>
 <871sm0wl6m.fsf@HIDDEN>
 <CAMz5G58aJaCrdxV7LfJYVnjN6-PFe+h608F9t73q_xZ8omHV+w@HIDDEN>
 <87fuadwo2g.fsf@HIDDEN> <87o8xnuhr3.fsf@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
X-Mailer: Apple Mail (2.3445.104.11)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 28878
Cc: "Charles A. Roelli" <charles@HIDDEN>, David Engster <david@HIDDEN>,
 28878 <at> debbugs.gnu.org, 23792 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi all,

Thanks for surfacing this one again Stefan.

I don=E2=80=99t think that the merge was ever completed.

Unfortunately, I think that I bit off more than I could chew when I =
tried to help out with this one.
I feel that my involvement with the CEDET project was too shallow to =
really understand how to merge it properly.

There's been some added drift between the CEDET project and core since =
those efforts.
The drift is largely because of maintenance and API improvements to =
things like EIEIO.

I'd be happy to assist in some capacity with the merge, but I certainly =
don=E2=80=99t feel comfortable spear heading it.

Kind regards,

Edward Steere


> On 08 Nov 2019, at 06:14, Stefan Kangas <stefan@HIDDEN> wrote:
>=20
> David Engster <david@HIDDEN> writes:
>=20
>> Edward Steere writes:
>>> I count 165 commits since the last merge when I look at cedet.git
>>> and I only see 49 commits in emacs.git from your work on the
>>> merge.  What about the other 116 commits?
>>=20
>> I dropped all commits that did not concern the subset of CEDET that =
is
>> in Emacs proper. It is entirely possible of course that I made a =
mistake
>> here or there; it'd be nice if someone could check.
>>=20
>> -David
>=20
> That was 3 years ago.  What's the current status of this merge -- has
> it been completed?
>=20
> Best regards,
> Stefan Kangas





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28878; Package emacs. Full text available.

Message received at 28878 <at> debbugs.gnu.org:


Received: (at 28878) by debbugs.gnu.org; 8 Nov 2019 04:14:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 07 23:14:38 2019
Received: from localhost ([127.0.0.1]:44387 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iSvfS-0008T1-Dg
	for submit <at> debbugs.gnu.org; Thu, 07 Nov 2019 23:14:38 -0500
Received: from host.gofardesign.uk ([208.79.239.190]:34732)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>)
 id 1iSvfP-0008SV-7B; Thu, 07 Nov 2019 23:14:36 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID:
 Date:References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=1hh3fsVKWRAZt83sx6NAl/KifSQbzQajXOkJAx6RrmE=; b=dcVaOQMzBh2PeDWo9Z/KnzQg0a
 4VmxYrxcuFCqzORBPLvgQQzVNq7qLK8+gcA43pYQ3UtI4FyX1c1IAfbdEfC8eTmXYn50AcQ/pGQ8Y
 KMjDr2IxY9KxnsXQ9ZfvDxhTk/LG7+27o1SJoF2porvHENmqvM+iwkw7uzWUo39LzEts=;
Received: from h-70-69.a785.priv.bahnhof.se ([155.4.70.69]:34574
 helo=localhost)
 by host.gofardesign.uk with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.92) (envelope-from <stefan@HIDDEN>)
 id 1iSvfG-0001iq-Dy; Thu, 07 Nov 2019 22:14:26 -0600
From: Stefan Kangas <stefan@HIDDEN>
To: David Engster <david@HIDDEN>
Subject: Re: bug#28878: CEDET merge bug
In-Reply-To: <87fuadwo2g.fsf@HIDDEN> (David Engster's message of "Fri, 20
 Oct 2017 22:40:07 +0200")
References: <m24lqxlinm.fsf@HIDDEN> <877evtwlse.fsf@HIDDEN>
 <CAMz5G5_D6eRe4HBDZnTQMccmNgNqUiAMXq7WQLHh_SzUhG4dyg@HIDDEN>
 <871sm0wl6m.fsf@HIDDEN>
 <CAMz5G58aJaCrdxV7LfJYVnjN6-PFe+h608F9t73q_xZ8omHV+w@HIDDEN>
 <87fuadwo2g.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Date: Fri, 08 Nov 2019 05:14:24 +0100
Message-ID: <87o8xnuhr3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-OutGoing-Spam-Status: No, score=-1.0
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - host.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: host.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: host.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 28878
Cc: "Charles A. Roelli" <charles@HIDDEN>,
 Edward Steere <edward.steere@HIDDEN>, 28878 <at> debbugs.gnu.org,
 23792 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

David Engster <david@HIDDEN> writes:

> Edward Steere writes:
>> I count 165 commits since the last merge when I look at cedet.git
>> and I only see 49 commits in emacs.git from your work on the
>> merge.=C2=A0 What about the other 116 commits?
>
> I dropped all commits that did not concern the subset of CEDET that is
> in Emacs proper. It is entirely possible of course that I made a mistake
> here or there; it'd be nice if someone could check.
>
> -David

That was 3 years ago.  What's the current status of this merge -- has
it been completed?

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28878; Package emacs. Full text available.

Message received at 28878 <at> debbugs.gnu.org:


Received: (at 28878) by debbugs.gnu.org; 26 Oct 2017 18:31:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 26 14:31:21 2017
Received: from localhost ([127.0.0.1]:35443 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e7mw5-0003iZ-7x
	for submit <at> debbugs.gnu.org; Thu, 26 Oct 2017 14:31:21 -0400
Received: from sinyavsky.aurox.ch ([37.35.109.145]:60944)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <charles@HIDDEN>) id 1e7mw3-0003iL-Ik
 for 28878 <at> debbugs.gnu.org; Thu, 26 Oct 2017 14:31:20 -0400
Received: from sinyavsky.aurox.ch (sinyavsky.aurox.ch [127.0.0.1])
 by sinyavsky.aurox.ch (Postfix) with ESMTP id 5EEF922587
 for <28878 <at> debbugs.gnu.org>; Thu, 26 Oct 2017 18:24:22 +0000 (UTC)
Authentication-Results: sinyavsky.aurox.ch (amavisd-new);
 dkim=pass (1024-bit key) reason="pass (just generated, assumed good)"
 header.d=aurox.ch
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=aurox.ch; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :references:subject:subject:in-reply-to:to:from:from:message-id
 :date:date; s=dkim; t=1509042261; x=1509906262; bh=QsKBjd+W9KluS
 gu9iOc8ygHqZmHV0sU3OhXQpn4nVjw=; b=iWkV6CfGadcXFmeKS+FYn7LhuB6mq
 fJZDzwylIWffC3lN3Gk4Ka1iCAZji1Y4/Jg853eoetcaUADDT6hCN9kIOjQ7XGiM
 s0iKwHhAlzjtssmLyCsuXWsgYg9RGvO/uOdembpCPk/nfrjLHxAm+r4JBpkcHb2O
 yb9fmZXF/JTO9U=
X-Virus-Scanned: Debian amavisd-new at test.virtualizor.com
Received: from sinyavsky.aurox.ch ([127.0.0.1])
 by sinyavsky.aurox.ch (sinyavsky.aurox.ch [127.0.0.1]) (amavisd-new,
 port 10026) with ESMTP id 3JjxWM7_tdkE for <28878 <at> debbugs.gnu.org>;
 Thu, 26 Oct 2017 18:24:21 +0000 (UTC)
Received: from gray (125.85.192.178.dynamic.wline.res.cust.swisscom.ch
 [178.192.85.125])
 by sinyavsky.aurox.ch (Postfix) with ESMTPSA id 8DD9422564;
 Thu, 26 Oct 2017 18:24:17 +0000 (UTC)
Date: Thu, 26 Oct 2017 20:31:57 +0200
Message-Id: <m27evhbw0y.fsf@HIDDEN>
From: charles@HIDDEN (Charles A. Roelli)
To: David Engster <david@HIDDEN>
In-reply-to: <87fuadwo2g.fsf@HIDDEN> (message from David Engster on Fri, 
 20 Oct 2017 22:40:07 +0200)
Subject: Re: bug#28878: CEDET merge bug
References: <m24lqxlinm.fsf@HIDDEN> <877evtwlse.fsf@HIDDEN>
 <CAMz5G5_D6eRe4HBDZnTQMccmNgNqUiAMXq7WQLHh_SzUhG4dyg@HIDDEN>
 <871sm0wl6m.fsf@HIDDEN>
 <CAMz5G58aJaCrdxV7LfJYVnjN6-PFe+h608F9t73q_xZ8omHV+w@HIDDEN>
 <87fuadwo2g.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 28878
Cc: edward.steere@HIDDEN, 28878 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

> From: David Engster <david@HIDDEN>
> Date: Fri, 20 Oct 2017 22:40:07 +0200
> 
> Edward Steere writes:
> > I count 165 commits since the last merge when I look at cedet.git
> > and I only see 49 commits in emacs.git from your work on the
> > merge. What about the other 116 commits?
> 
> I dropped all commits that did not concern the subset of CEDET that is
> in Emacs proper. It is entirely possible of course that I made a mistake
> here or there; it'd be nice if someone could check.

Sorry for the late response.  It's great to hear that your merge
branch is nearly complete already.  Though it may not be much help
since I'm no expert on CEDET, I'll try to double-check that no
relevant commits are missing.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28878; Package emacs. Full text available.

Message received at 28878 <at> debbugs.gnu.org:


Received: (at 28878) by debbugs.gnu.org; 20 Oct 2017 20:40:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 20 16:40:18 2017
Received: from localhost ([127.0.0.1]:52820 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e5e5a-0005t7-5g
	for submit <at> debbugs.gnu.org; Fri, 20 Oct 2017 16:40:18 -0400
Received: from randomsample.de ([5.45.97.173]:49557)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <david@HIDDEN>) id 1e5e5Y-0005sw-Cp
 for 28878 <at> debbugs.gnu.org; Fri, 20 Oct 2017 16:40:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=randomsample.de; s=a; 
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID:Date:References:In-Reply-To:Subject:Cc:To:From;
 bh=Z/cgqS5HVIo6GTrJMQDU/oNLYF3k2dbgHlUV3pLRozs=; 
 b=aMeMNYNliM+G6l7jCqbuUY6Q7zYufdNWAhu0W1AkkA1J/FzhZvUB+8c4CI0ScOF8zLzFygg3b7YFgjWFk8YtiqOETfaaAO7HjCRT3OwElZCjLAq4i0GwrDXLf8TxVONX;
Received: from ip4d167df7.dynamic.kabel-deutschland.de ([77.22.125.247]
 helo=isaac)
 by randomsample.de with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.80) (envelope-from <david@HIDDEN>)
 id 1e5e5V-0007n3-DO; Fri, 20 Oct 2017 22:40:13 +0200
From: David Engster <david@HIDDEN>
To: Edward Steere <edward.steere@HIDDEN>
Subject: Re: bug#28878: CEDET merge bug
In-Reply-To: <CAMz5G58aJaCrdxV7LfJYVnjN6-PFe+h608F9t73q_xZ8omHV+w@HIDDEN>
 (Edward Steere's message of "Fri, 20 Oct 2017 18:46:12 +0200")
References: <m24lqxlinm.fsf@HIDDEN> <877evtwlse.fsf@HIDDEN>
 <CAMz5G5_D6eRe4HBDZnTQMccmNgNqUiAMXq7WQLHh_SzUhG4dyg@HIDDEN>
 <871sm0wl6m.fsf@HIDDEN>
 <CAMz5G58aJaCrdxV7LfJYVnjN6-PFe+h608F9t73q_xZ8omHV+w@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3.50 (gnu/linux)
Date: Fri, 20 Oct 2017 22:40:07 +0200
Message-ID: <87fuadwo2g.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 28878
Cc: 28878 <at> debbugs.gnu.org, "Charles A. Roelli" <charles@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Edward Steere writes:
> I count 165 commits since the last merge when I look at cedet.git
> and I only see 49 commits in emacs.git from your work on the
> merge.=A0 What about the other 116 commits?

I dropped all commits that did not concern the subset of CEDET that is
in Emacs proper. It is entirely possible of course that I made a mistake
here or there; it'd be nice if someone could check.

-David




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28878; Package emacs. Full text available.

Message received at 28878 <at> debbugs.gnu.org:


Received: (at 28878) by debbugs.gnu.org; 20 Oct 2017 16:46:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 20 12:46:21 2017
Received: from localhost ([127.0.0.1]:52632 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e5aRA-0002kX-Qp
	for submit <at> debbugs.gnu.org; Fri, 20 Oct 2017 12:46:20 -0400
Received: from mail-oi0-f54.google.com ([209.85.218.54]:45948)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <edward.steere@HIDDEN>) id 1e5aR8-0002kK-JF
 for 28878 <at> debbugs.gnu.org; Fri, 20 Oct 2017 12:46:20 -0400
Received: by mail-oi0-f54.google.com with SMTP id f66so20950752oib.2
 for <28878 <at> debbugs.gnu.org>; Fri, 20 Oct 2017 09:46:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=RW/9S8hDMF41NJp5R7xNMMMsBsbEzhA6ZkR1sTAAPsg=;
 b=BNtPaicuXeNTtThjbW6TxxlnXi9toqAj1QCsWcSkarA7kB+KQE+qe/r+75j8HUm5yl
 Yt4EsVecCkYqfAYM1fscygRUTm957j38ZVwEnguNGBn4JEDjbkLerRgKbTTR1U/X/9Li
 gdlwp2/3nLguKyrSjrSTVYS/v9xq32I/QfXjWN8qYgQLOzSRIjNV5Qks1h3FSR1Z3tG6
 D1MPn5ltu99lflH7TI0gww8EMRGtX3GW1e9i0ep3UbjklzwKEnk6d1xY/q6BZ0rIINuY
 EYVohv4eJ6gx1Uep35KAmc3UnqS9wihK2gA4VLEYwcXheO/Mvw7wm1cGjN5osDXyXFtG
 auAw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=RW/9S8hDMF41NJp5R7xNMMMsBsbEzhA6ZkR1sTAAPsg=;
 b=hbUJBGw6zpjY+9MxvpMiINTDhz0ZG5jbFiIfAVIo/8nbneAzlVt5C0Ynh65c/W7ASq
 Xo6oCKZyvxfKklYz3eSQPBoSeftf7/dEWl8NKUvy3zqdj7g3JLL4uflwjimEQdOByRoT
 3+tH9H35em6nqtmlyefaXXSlVek6wjFCZxn7SB28e+waaskIhSYf66erlSQcX2og4J6R
 A7C0ETLwB9+ILIcAKK/4kU3Xn28RLrXHrUSjSLG0MywGC362dvCcjQutBn/aaTEYUGNJ
 OLwvK8E1VllVT6AnTtevnz9/0yZ2BkF/j1orpsjpAY/2B67nxzTNPQXtK81ypTRH6yK9
 F4JQ==
X-Gm-Message-State: AMCzsaVsMVxPkFpnrDQEZCC9YAjwVJZdxVrGiuMNb4mYqFNCsnuJeIyF
 uzOr8SrBXOtfUxwxJYIABEGSQo1pq4dcsu/SfW+wvRRW
X-Google-Smtp-Source: ABhQp+Q+pd1jS0AjydIr1l24Y3v5OgUXDPunjD4MK77oonLOZNwHkn7xI1cxs9hq1cy5/58DLaXweXcRjR9CeAXdfmI=
X-Received: by 10.202.213.151 with SMTP id m145mr3104085oig.187.1508517972899; 
 Fri, 20 Oct 2017 09:46:12 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.157.40.71 with HTTP; Fri, 20 Oct 2017 09:46:12 -0700 (PDT)
In-Reply-To: <871sm0wl6m.fsf@HIDDEN>
References: <m24lqxlinm.fsf@HIDDEN> <877evtwlse.fsf@HIDDEN>
 <CAMz5G5_D6eRe4HBDZnTQMccmNgNqUiAMXq7WQLHh_SzUhG4dyg@HIDDEN>
 <871sm0wl6m.fsf@HIDDEN>
From: Edward Steere <edward.steere@HIDDEN>
Date: Fri, 20 Oct 2017 18:46:12 +0200
Message-ID: <CAMz5G58aJaCrdxV7LfJYVnjN6-PFe+h608F9t73q_xZ8omHV+w@HIDDEN>
Subject: Re: bug#28878: CEDET merge bug
To: David Engster <deng@HIDDEN>
Content-Type: multipart/alternative; boundary="001a113ded1ce97d2d055bfd3506"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 28878
Cc: 28878 <at> debbugs.gnu.org, "Charles A. Roelli" <charles@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

--001a113ded1ce97d2d055bfd3506
Content-Type: text/plain; charset="UTF-8"

>
> Yes, tests are excluded.


I'll make some time to take a look at the tests again.

>> It only needs
> >> ChangeLogs for the byte-compiler warning fixes.
> >
> > Are you referring to the following two commits?
> >
> > d2a57bdfec * scratch/last-cedet-merge origin/scratch/last-cedet-merge
> CEDET:
> > Fix "unknown slot [...]"  warnings
> > 9c2feacc85 * CEDET: Fix "obsolete name arg [...] to constructor" warnings
>
> Yes.
>

I'll try to take a look at this as well.

I count 165 commits since the last merge when I look at cedet.git
and I only see 49 commits in emacs.git from your work on the
merge.  What about the other 116 commits?  I'm counting from
f36f29b0 on cedet.git.

--001a113ded1ce97d2d055bfd3506
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_extra"><div class=3D"gmail_quote"><blo=
ckquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left=
:1px solid rgb(204,204,204);padding-left:1ex">Yes, tests are excluded.</blo=
ckquote><div>=C2=A0</div><div>I&#39;ll make some time to take a look at the=
 tests again.</div><div><br></div><blockquote class=3D"gmail_quote" style=
=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding=
-left:1ex"><span class=3D"gmail-m_-2261166626773936355gmail-">&gt;&gt; It o=
nly needs<br>
&gt;&gt; ChangeLogs for the byte-compiler warning fixes.<br>
&gt;<br>
&gt; Are you referring to the following two commits?<br>
&gt;<br>
&gt; d2a57bdfec * scratch/last-cedet-merge origin/scratch/last-cedet-merg<w=
br>e CEDET:<br>
&gt; Fix &quot;unknown slot [...]&quot; =C2=A0warnings<br>
&gt; 9c2feacc85 * CEDET: Fix &quot;obsolete name arg [...] to constructor&q=
uot; warnings<br>
<br>
</span>Yes.<span class=3D"gmail-m_-2261166626773936355gmail-HOEnZb"><font c=
olor=3D"#888888"><br>
</font></span></blockquote></div><br></div><div class=3D"gmail_extra">I&#39=
;ll try to take a look at this as well.</div><div class=3D"gmail_extra"><br=
></div><div class=3D"gmail_extra">I count 165 commits since the last merge =
when I look at cedet.git</div><div class=3D"gmail_extra">and I only see 49 =
commits in emacs.git from your work on the</div><div class=3D"gmail_extra">=
merge.=C2=A0 What about the other 116 commits?=C2=A0 I&#39;m counting from<=
/div><div class=3D"gmail_extra">f36f29b0 on cedet.git.</div></div>

--001a113ded1ce97d2d055bfd3506--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28878; Package emacs. Full text available.

Message received at 28878 <at> debbugs.gnu.org:


Received: (at 28878) by debbugs.gnu.org; 18 Oct 2017 15:40:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 18 11:40:31 2017
Received: from localhost ([127.0.0.1]:48478 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e4qSM-0006EB-Va
	for submit <at> debbugs.gnu.org; Wed, 18 Oct 2017 11:40:31 -0400
Received: from mail-oi0-f43.google.com ([209.85.218.43]:49809)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <edward.steere@HIDDEN>) id 1e4h3U-0001tg-Ue
 for 28878 <at> debbugs.gnu.org; Wed, 18 Oct 2017 01:38:13 -0400
Received: by mail-oi0-f43.google.com with SMTP id w197so7031607oif.6
 for <28878 <at> debbugs.gnu.org>; Tue, 17 Oct 2017 22:38:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=iyElslK49r9l9h+r+0LpvYlIG8Jwln5dqv1NNJuVZL4=;
 b=b+Ax4/1oBs0z141J/Pr63JVuXMCp34xgeCl2XLPN7wp2Mk+KA6sF3Xh5YXqQAePcVu
 Qqb/FsMzlQVUQTSlRmOfRNlNaKn3TqiV3Ly0KegnKOxkiCSyCHd8k75SCGP9BD3kFvr6
 7GZB3doLAJy2J7W3Bz6O5oAoZ7pwMn7bxR+nuuHVii3o4wYFR6HRxa/BBcrcu3eGNgg+
 RajC5+Kjp0dEPwLIlTWdyNBiKcBOMgsmn0fY78p7QJ30UR1A1nxoVRkGfTYGDeCYqA+F
 bu+kbHMVX9AhPC3aQndX3vfvyZ7fR9YCvE898N8+4R3Se14gm7txQH05N3hVmRutW+Ek
 tRTA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=iyElslK49r9l9h+r+0LpvYlIG8Jwln5dqv1NNJuVZL4=;
 b=qVJR31Rw4X20/fj56i6idpek0FOoV0kVSmjJHwI7pgYBp4YQ6y5+gDZJW5mDs1Widt
 MY0vT9wst2dT7yAWBoIYgpFOQ/M8DPM44ck59d2RDjDSJPil1X95vRyKxrXB2Xl+qXwJ
 gaRXcg42pnrpF0rGmb2ir9CXcqolrJBcyagoiSTAETaH2WyQMU00KRF924rN6+Tjkvdc
 qDDyCSSeLASXwqZBzKo+M7le+2fjsAO+ptR90VMkozPClvhHkjDnpkJqs8DIUd3YmFqh
 BQY3S6W++TU1Z+ukK6Zk8yZcGRKfunlfBc6XGHYHt0qrRKjMQvWHUTIvRbSqTvxWwoDy
 xnVg==
X-Gm-Message-State: AMCzsaX8qxNkKWLV6B0TNS5Sg1qkUj/P5uY8ArS6SAIZc19VtnPlO0nM
 o5dAx+lvy2/vSMexpEdc4Tayl9xrt5HDfh7hjD4=
X-Google-Smtp-Source: ABhQp+TXi870M5HMg4UMH0CRTgTkojwWMhh0JKnOiZ7pvHiq0609Qs/qgJV3dJBhdjclwmUdipu9ekn4ZwiwBj0ywwc=
X-Received: by 10.202.170.80 with SMTP id t77mr8870454oie.314.1508305087250;
 Tue, 17 Oct 2017 22:38:07 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.157.40.71 with HTTP; Tue, 17 Oct 2017 22:38:06 -0700 (PDT)
In-Reply-To: <877evtwlse.fsf@HIDDEN>
References: <m24lqxlinm.fsf@HIDDEN> <877evtwlse.fsf@HIDDEN>
From: Edward Steere <edward.steere@HIDDEN>
Date: Wed, 18 Oct 2017 07:38:06 +0200
Message-ID: <CAMz5G5_D6eRe4HBDZnTQMccmNgNqUiAMXq7WQLHh_SzUhG4dyg@HIDDEN>
Subject: Re: bug#28878: CEDET merge bug
To: David Engster <deng@HIDDEN>
Content-Type: multipart/alternative; boundary="001a113ca7e4f04afc055bcba476"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 28878
X-Mailman-Approved-At: Wed, 18 Oct 2017 11:40:29 -0400
Cc: 28878 <at> debbugs.gnu.org, "Charles A. Roelli" <charles@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.8 (--)

--001a113ca7e4f04afc055bcba476
Content-Type: text/plain; charset="UTF-8"

>
> The 'last-cedet-merge' branch was pretty much finished.
>

This is surprising (and very good news!).  It wasn't clear to me that
you were this close.  Does  this exclude the tests which I was working
on merging?

> It only needs
> ChangeLogs for the byte-compiler warning fixes.

Are you referring to the following two commits?

d2a57bdfec * scratch/last-cedet-merge origin/scratch/last-cedet-merge
CEDET: Fix "unknown slot [...]"  warnings
9c2feacc85 * CEDET: Fix "obsolete name arg [...] to constructor" warnings

--001a113ca7e4f04afc055bcba476
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_extra"><div class=3D"gmail_quote"><blo=
ckquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left=
:1px solid rgb(204,204,204);padding-left:1ex">The &#39;last-cedet-merge&#39=
; branch was pretty much finished.<span class=3D"gmail-HOEnZb"><font color=
=3D"#888888"><br>
</font></span></blockquote></div><br></div><div class=3D"gmail_extra">This =
is surprising (and very good news!).=C2=A0 It wasn&#39;t clear to me that</=
div><div class=3D"gmail_extra">you were this close.=C2=A0 Does =C2=A0this e=
xclude the tests which I was working</div><div class=3D"gmail_extra">on mer=
ging?</div><div class=3D"gmail_extra"><br></div><div class=3D"gmail_extra">=
&gt; It only needs<br></div><div class=3D"gmail_extra">&gt; ChangeLogs for =
the byte-compiler warning fixes.<br></div><div class=3D"gmail_extra"><br></=
div><div class=3D"gmail_extra">Are you referring to the following two commi=
ts?</div><div class=3D"gmail_extra"><br></div><div class=3D"gmail_extra"><d=
iv class=3D"gmail_extra">d2a57bdfec * scratch/last-cedet-merge origin/scrat=
ch/last-cedet-merge CEDET: Fix &quot;unknown slot [...]&quot; =C2=A0warning=
s</div><div class=3D"gmail_extra">9c2feacc85 * CEDET: Fix &quot;obsolete na=
me arg [...] to constructor&quot; warnings</div></div></div>

--001a113ca7e4f04afc055bcba476--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28878; Package emacs. Full text available.

Message received at 28878 <at> debbugs.gnu.org:


Received: (at 28878) by debbugs.gnu.org; 18 Oct 2017 15:05:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 18 11:05:44 2017
Received: from localhost ([127.0.0.1]:48462 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e4pui-0005H7-9C
	for submit <at> debbugs.gnu.org; Wed, 18 Oct 2017 11:05:44 -0400
Received: from randomsample.de ([5.45.97.173]:47780)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <deng@HIDDEN>) id 1e4pug-0005Gz-Vg
 for 28878 <at> debbugs.gnu.org; Wed, 18 Oct 2017 11:05:43 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=randomsample.de; s=a; 
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID:Date:References:In-Reply-To:Subject:Cc:To:From;
 bh=+CjrxjoVJ3TPhI98HucIlEIlFS1CkTtlFHxlyESpqgc=; 
 b=Bq+Cabhv8GJDhMs6oSNgRyj3emrEIphSpVO9Xqkuey7YTAEXRdJmcO5ZIsRyKsOeAjPmMPG+2iQPKwpw8xsUJ7YI9W1MpApmCv6CUAluifzUP+2qlIa0jLA+iKIdYeVH;
Received: from ip4d167df7.dynamic.kabel-deutschland.de ([77.22.125.247]
 helo=isaac)
 by randomsample.de with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.80) (envelope-from <deng@HIDDEN>)
 id 1e4puf-0002g9-2Y; Wed, 18 Oct 2017 17:05:41 +0200
From: David Engster <deng@HIDDEN>
To: Edward Steere <edward.steere@HIDDEN>
Subject: Re: bug#28878: CEDET merge bug
In-Reply-To: <CAMz5G5_D6eRe4HBDZnTQMccmNgNqUiAMXq7WQLHh_SzUhG4dyg@HIDDEN>
 (Edward Steere's message of "Wed, 18 Oct 2017 07:38:06 +0200")
References: <m24lqxlinm.fsf@HIDDEN> <877evtwlse.fsf@HIDDEN>
 <CAMz5G5_D6eRe4HBDZnTQMccmNgNqUiAMXq7WQLHh_SzUhG4dyg@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3.50 (gnu/linux)
Date: Wed, 18 Oct 2017 17:05:37 +0200
Message-ID: <871sm0wl6m.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 28878
Cc: 28878 <at> debbugs.gnu.org, "Charles A. Roelli" <charles@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Edward Steere writes:
>     The 'last-cedet-merge' branch was pretty much finished.
>
> This is surprising (and very good news!).=A0 It wasn't clear to me that
> you were this close.=A0 Does =A0this exclude the tests which I was working
> on merging?

Yes, tests are excluded.

>
>> It only needs
>> ChangeLogs for the byte-compiler warning fixes.
>
> Are you referring to the following two commits?
>
> d2a57bdfec * scratch/last-cedet-merge origin/scratch/last-cedet-merge CED=
ET:
> Fix "unknown slot [...]" =A0warnings
> 9c2feacc85 * CEDET: Fix "obsolete name arg [...] to constructor" warnings

Yes.

-David




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28878; Package emacs. Full text available.

Message received at 28878 <at> debbugs.gnu.org:


Received: (at 28878) by debbugs.gnu.org; 17 Oct 2017 20:40:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 17 16:40:26 2017
Received: from localhost ([127.0.0.1]:46682 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e4Yf3-0001it-QY
	for submit <at> debbugs.gnu.org; Tue, 17 Oct 2017 16:40:25 -0400
Received: from randomsample.de ([5.45.97.173]:37424)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <deng@HIDDEN>) id 1e4Yf0-0001ik-TA
 for 28878 <at> debbugs.gnu.org; Tue, 17 Oct 2017 16:40:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=randomsample.de; s=a; 
 h=Content-Type:MIME-Version:Message-ID:Date:References:In-Reply-To:Subject:Cc:To:From;
 bh=ZCtnu367AvjtY2E+p7Ys1ly77FOR5qOmwf17dTQJ5mg=; 
 b=jAeuXwJC3t2g/i8Wpj5HPK+zAb2Z8WU4iaUSx5RR5dyKjmrrdwV3Xieb810kIg98BH4B2P53o9ZtFOyDeiRHb/HYhkQe81eMhcKwuCXezZvQPHkIHmOwUSUci02luPOB;
Received: from ip4d167df7.dynamic.kabel-deutschland.de ([77.22.125.247]
 helo=isaac)
 by randomsample.de with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.80) (envelope-from <deng@HIDDEN>)
 id 1e4Yez-00074P-5P; Tue, 17 Oct 2017 22:40:21 +0200
From: David Engster <deng@HIDDEN>
To: charles@HIDDEN (Charles A. Roelli)
Subject: Re: bug#28878: CEDET merge bug
In-Reply-To: <m24lqxlinm.fsf@HIDDEN> (Charles A. Roelli's message of "Tue,
 17 Oct 2017 20:43:25 +0200")
References: <m24lqxlinm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3.50 (gnu/linux)
Mail-Copies-To: never
Date: Tue, 17 Oct 2017 22:40:17 +0200
Message-ID: <877evtwlse.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 28878
Cc: edward.steere@HIDDEN, 28878 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Charles A. Roelli writes:
> After some discussions both on- and off-list, starting here:
>
> https://lists.gnu.org/archive/html/emacs-devel/2017-09/msg00826.html
>
> we'd like to continue the process of merging changes to CEDET into the
> Emacs core.  Following is a list of commits made to cedet.git since
> the last merge.  I've divided the commits into batches for clarity.
> Some of the commits already have equivalents in Emacs (particularly
> bugfixes), or they touch files that were not yet added to Emacs, so
> they can be skipped (we will mark them as we go through the process).

The 'last-cedet-merge' branch was pretty much finished. It only needs
ChangeLogs for the byte-compiler warning fixes.

-David




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28878; Package emacs. Full text available.
Merged 23792 28878. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Oct 2017 18:43:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 17 14:43:40 2017
Received: from localhost ([127.0.0.1]:46611 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e4Wq2-0005Qc-Tz
	for submit <at> debbugs.gnu.org; Tue, 17 Oct 2017 14:43:39 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34285)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <charles@HIDDEN>) id 1e4Wpz-0005QM-ST
 for submit <at> debbugs.gnu.org; Tue, 17 Oct 2017 14:43:37 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <charles@HIDDEN>) id 1e4Wpr-0003Pl-KK
 for submit <at> debbugs.gnu.org; Tue, 17 Oct 2017 14:43:30 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:52436)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <charles@HIDDEN>) id 1e4Wpr-0003Pe-G2
 for submit <at> debbugs.gnu.org; Tue, 17 Oct 2017 14:43:27 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:53457)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <charles@HIDDEN>) id 1e4Wpo-0001iv-30
 for bug-gnu-emacs@HIDDEN; Tue, 17 Oct 2017 14:43:27 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <charles@HIDDEN>) id 1e4Wpk-0003Ll-R8
 for bug-gnu-emacs@HIDDEN; Tue, 17 Oct 2017 14:43:24 -0400
Received: from sinyavsky.aurox.ch ([37.35.109.145]:33614)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <charles@HIDDEN>) id 1e4Wpj-0003EQ-W3
 for bug-gnu-emacs@HIDDEN; Tue, 17 Oct 2017 14:43:20 -0400
Received: from sinyavsky.aurox.ch (sinyavsky.aurox.ch [127.0.0.1])
 by sinyavsky.aurox.ch (Postfix) with ESMTP id 900FE2257B
 for <bug-gnu-emacs@HIDDEN>; Tue, 17 Oct 2017 18:36:27 +0000 (UTC)
Authentication-Results: sinyavsky.aurox.ch (amavisd-new);
 dkim=pass (1024-bit key) reason="pass (just generated, assumed good)"
 header.d=aurox.ch
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=aurox.ch; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :subject:subject:to:from:from:message-id:date:date; s=dkim; t=
 1508265382; x=1509129383; bh=P7eRh0mrq7BSBAuTBewMpyVwmT6McklIlPY
 977+zi50=; b=SrGViHgsltGESD/BedPOaefTjGVIFVlvO1seTWE7dHGedJnal+B
 T/QWCZDfPQljrMoO5w4f7Vp7NUSvKIf3peJMZ42g2OOZijv90SNjy0qzYAhLqnoK
 kEYg6FEo5I0K9u4JcFC8awJ6BTPQSb+4+5xEIoLX6pSmjl2FbubdqruA=
X-Virus-Scanned: Debian amavisd-new at test.virtualizor.com
Received: from sinyavsky.aurox.ch ([127.0.0.1])
 by sinyavsky.aurox.ch (sinyavsky.aurox.ch [127.0.0.1]) (amavisd-new,
 port 10026) with ESMTP id nxFSo_71fm-I for <bug-gnu-emacs@HIDDEN>;
 Tue, 17 Oct 2017 18:36:22 +0000 (UTC)
Received: from gray (125.85.192.178.dynamic.wline.res.cust.swisscom.ch
 [178.192.85.125])
 by sinyavsky.aurox.ch (Postfix) with ESMTPSA id 44D7522567;
 Tue, 17 Oct 2017 18:36:22 +0000 (UTC)
Date: Tue, 17 Oct 2017 20:43:25 +0200
Message-Id: <m24lqxlinm.fsf@HIDDEN>
From: charles@HIDDEN (Charles A. Roelli)
To: bug-gnu-emacs@HIDDEN
Subject: CEDET merge bug
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
Cc: edward.steere@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

After some discussions both on- and off-list, starting here:

https://lists.gnu.org/archive/html/emacs-devel/2017-09/msg00826.html

we'd like to continue the process of merging changes to CEDET into the
Emacs core.  Following is a list of commits made to cedet.git since
the last merge.  I've divided the commits into batches for clarity.
Some of the commits already have equivalents in Emacs (particularly
bugfixes), or they touch files that were not yet added to Emacs, so
they can be skipped (we will mark them as we go through the process).

We'll push a branch based off master when we start.

Batch  22
*  (HEAD -> master, origin/master, origin/HEAD)2af698d..: Eric Ludlam 201=
6-09-13 (NS::TestEnum, func_ns_arg): New - test namespace symbols in
* 76ffcdd..: Eric Ludlam 2016-09-13 (unaryexpression): Use namespace-symb=
ol instead of symbol.
* 95aab0c..: Eric Ludlam 2016-08-31 Ignore patches
* d2b1cbd..: Eric Ludlam 2016-08-31 (ede-arduino-Arduino-Version): Update=
 version expression for
* 4a48013..: Eric Ludlam 2016-03-18 (semantic-calculate-scope-for-tag): A=
lso save-excursion in case the internal jump is local and moves point.

* 4b41ea6..: Eric Ludlam 2016-03-13 Patch from Edward Steere (ede--detect=
-ldf-root-predicate): Make sure updir is not nill before trying to detect=
 it.
* 42bdcfd..: Eric Ludlam 2016-03-13 Patch from Edward Steere (ede-auto-de=
tect-in-dir): Make sure f is not nil before checking for existence.
* bec4656..: Eric Ludlam 2016-02-16 (ede-arduino-guess-libs): Only scan l=
ibs where #include is at the beginning of the line.
Batch  21
*   0d54d87..: Eric Ludlam 2016-02-16 Merge branch 'master' of ssh://git.=
code.sf.net/p/cedet/git
|\ =20
| * f6639c6..: Alastair Rankine 2015-11-02 compdb: Improve scanning of Ni=
nja build files
| * 868e3a4..: Alastair Rankine 2015-11-01 compdb: Improve parsing of inc=
lude file paths
| * eef2a9f..: Alastair Rankine 2015-11-01 compdb: Add ability to scan Ni=
nja build files for matching build rules

| * 1be69d7..: Alastair Rankine 2015-11-01 compdb: Document usage of Proj=
ectile library to locate "other" files
Batch  20
* | e82b39a..: Eric Ludlam 2016-02-14 (constexpr, noexcept): New (cvdeclm=
od, metadeclmod, post-fcn-modifiers): Add ocurences of above. (expr-start=
): Allow to be empty. (expression): Delete - simplify to just find unarye=
xpression followed by more. (opt-more-expression): New - has specifics or=
iginally in expression. (unaryexpression): simplified a couple bits aroun=
d lists and unary expressions.
|/ =20
* ee7a97e..: Eric Ludlam 2015-10-18 Patch from Dmitry Cherkassov: (semant=
ic-analyze-completion-at-point-function) (semantic-analyze-notc-completio=
n-at-point-function) (semantic-analyze-nolongprefix-completion-at-point-f=
unction): Check that semantic is active before running smart completion c=
ode.
Batch  19
*   a3759c1..: Eric Ludlam 2015-10-18 Merge branch 'master' of ssh://git.=
code.sf.net/p/cedet/git
|\ =20
| * cf21fa7..: Alastair Rankine 2015-09-20 compdb: Add expected failure f=
or ninja test case
* | 2d09af2..: Eric Ludlam 2015-10-18 (ede-system-include-path): If the u=
ser sketchbook includes some nice libraries, use those too.
* | 0a2d2f9..: Eric Ludlam 2015-10-18 (semantic-complete-read-tag-engine)=
: Don't allow buffer switching. (semantic-collector-calculate-completions=
): Protect against cases where the context being completed with isn't a s=
mart completion case.
* | 16bfc8b..: Eric Ludlam 2015-10-18 Tests for polymorphism with a coupl=
e examples where we could try to disambiguate.
* | b0b1107..: Eric Ludlam 2015-10-18 (semantic-ia-utest-file-list): Add =
commented out poly test. (semantic-ia-utest-buffer): Improve visibility o=
f failed lines.
* | a811bfb..: Eric Ludlam 2015-10-18 (isFooLike, A, B, main2): New test =
tweaked from example by Liang Wang
Batch  18
* | e57f459..: Eric Ludlam 2015-10-18 (typeformbase): Replace two rules t=
hat could match teh same with one. Replace special namespace-symbol-for-t=
ypeformbase with just namespace-symbol. (namespace-symbol): Force that a =
symbol @ end can never have a template specifier. (opt-namespace-symbol-m=
ore): This must now always be :: namespace-symbol (namespace-symbol-for-t=
ypeformbase): Deleted.
* | 299baa8..: Eric Ludlam 2015-10-16 (semantic-utest-C-buffer-contents):=
 Add examples of multiple declmods. Add extern "C" around funp1. (semanti=
c-utest-C-name-contents): Update to match changed code.
* | 04a2174..: Eric Ludlam 2015-10-16 (extern-c, c-or-cpp, opt-extern-c-c=
ontents): Optmize out all the extra EXTERN matches.
* | e05abe0..: Eric Ludlam 2015-10-16 (declmods): Optimize out 2nd match =
to DECLMOD (varnamelist, opt-varnamelist-more): Optimize out 2nd match fo=
r a variable name into opt-varnamelist-more (namespace-symbol, opt-nmespa=
ce-symbol-more): Optimize out 2nd match for the template specifier.
* | 8dcc7c4..: Eric Ludlam 2015-10-16 Update so includes C typedef.
* | 1866314..: Eric Ludlam 2015-10-16 (typesimple): optimize out one rule=
 by making optional subparts. (typdef-symbol-list,typedef-symbol-list-opt=
-comma): Optimize symbol list so only parses typedefname once. (type, typ=
e-namespace): Optimize so only parses 'namespace' word once.
|/
Batch  17
* 26cd107..: Eric Ludlam 2015-08-12 (python-mode-hook): Removed.  Obsolet=
ed when semantic-new-buffer-setup-functions was introduced.
* cec6fee..: Eric Ludlam 2015-08-12 Remove java-mode-hook - obsoleted whe=
n semantic-new-buffer-setup-functions was introduced.
* 606d9ac..: Eric Ludlam 2015-08-09 (ede-emacs-target-texi): New. (ede-fi=
nd-target): Add texi support. (ede-emacs-project::project-compile-project=
) (ede-emacs-target-texi::ede-compile-target) (ede-emacs-target-el::ede-c=
ompile-target) (ede-emacs-target-c::ede-compile-target): New
* a4aeee5..: Eric Ludlam 2015-08-09 (ede-calc-fromconfig): Expand the fou=
nd file name. (ede-show-supported-projects): New.
* 4ec99cf..: Eric Ludlam 2015-08-09 (Top): ede-minor-mode -> global-ede-m=
ode Add Automake node (Wrapper Projects::Automake, Wrapper Projects::Java=
): New. (Arduino projects): Add code snippet for windows.
Batch  16
* 79277e8..: Eric Ludlam 2015-08-09 (Managed Projects): Add a bit of moti=
vation and guidance. (Creating a project): Clean up some of the ede-new d=
iscussion.  Add notation about Name.
* 06c5fb7..: Eric Ludlam 2015-08-08 (semantic-default-scheme-setup): Add =
lex syntax modifications for / and @.
* 03ae3d6..: Eric Ludlam 2015-08-08 (Editing grammars): Update keybinding=
s for macro-expander and insert keyword to conform to standards.
* 88f14c2..: Eric Ludlam 2015-08-08 (semantic-grammar-mode-map): Update k=
eybindings for macro-expander and insert keyword to conform to standards.=
 (semantic--grammar-find-macro-symbol-library): New
* 3a25dfb..: Eric Ludlam 2015-08-08 (ede-doc): Add ede-compdb.texi, ede-e=
xtend.texi, ede-texi.
* bd8a8f6..: Eric Ludlam 2015-08-08 (Top): Completely revamed doc and men=
u. (Quick Start - wrapper, Wrapper Projects, Root Projects, Generic Proje=
cts): New top level nodes. (Quick Start - from scratch): New top level no=
de. (Managed Projects, Compilation Database projects, Extending EDE): Cop=
ied to included .texi files, and deleted from this file.
* 30fab2e..: Eric Ludlam 2015-08-08 EDE Managed project support doc.  Cop=
ied from ede.texi.
* a52e760..: Eric Ludlam 2015-08-08 EDE Extension support doc.  Copied fr=
om ede.texi.
Batch  15
* b80c008..: Eric Ludlam 2015-08-08 EDE CompDB support doc.  Copied from =
ede.texi.
* 45e9545..: Alastair Rankine 2015-06-13 compdb: add documentation to ede=
.texi
* c764683..: Eric Ludlam 2015-04-22 (semantic-ia-utest-file-list): Add te=
stunion.cpp.
* 906be27..: Eric Ludlam 2015-04-22 New test file for unions.
* 9274959..: Eric Ludlam 2015-04-22 (c-mode::semantic-analyze-tag-type-me=
mbers): New override.
* aedbcd1..: Eric Ludlam 2015-04-22 (semantic-analyzer-debug-missing-inne=
rtype): Use semantic-analyze-tag-type-members.
* 5f30114..: Eric Ludlam 2015-04-22 (semantic-analyze-possible-completion=
s-default): Use semantic-analyze-tag-type-members.
* 417ff02..: Eric Ludlam 2015-04-22 (semantic-completable-tags-from-type)=
 (semantic-scope-find): Use `semantic-analyze-tag-type-members' to get me=
mbers of a type tag.
Batch  14
* 6808427..: Eric Ludlam 2015-04-22 (semanticdb-typecache-find-method): U=
se `semantic-analyze-tag-type-members'.
* 94ccb6b..: Eric Ludlam 2015-04-22 (semantic-analyze-tag-type-members) (=
semantic-analyze-tag-type-members-default): New (semantic-analyze-find-ta=
g-sequence-default) (semantic-analyze-current-context-default): Use above=
.
* 95ca28b..: Eric Ludlam 2015-04-11 (semantic-utest-c-ede): New (semantic=
-utest-c): Add call to below. (semantic-utest-c-with-ede): New test funct=
ion (semantic-utest-c-setup-ede): New.
* 999c86e..: Eric Ludlam 2015-04-11 New test files combining macros and E=
DE
* 7451f10..: Eric Ludlam 2015-04-11 (semantic-ia-utest-file-list): Add te=
sts/test.texi, test.mk, and test.srt (semantic-ia-utest-buffer, semantic-=
ia-utest-buffer-refs) (semantic-sr-utest-buffer-refs, semantic-src-utest-=
buffer-refs): When scanning for comments, wrap comment-start-skip to hand=
le modes that have an unbound or in them. Skip back over whitespace from =
in front of found test point comments.
* 1f6343a..: Eric Ludlam 2015-04-11 New tests.
* b8b4c0c..: Eric Ludlam 2015-04-11 (semantic-analyze-possible-completion=
s): Add support for FLAGS arg.
* be5b630..: Eric Ludlam 2015-04-11 (semantic-analyze-possible-completion=
s): Add support for FLAGS arg.
Batch  13
* 7a80dda..: Eric Ludlam 2015-04-11 (semantic-analyze-possible-completion=
s): Add support for FLAGS.
* fec7d98..: Eric Ludlam 2015-04-07 (srecode/map): Fix eval-after-load na=
me to match new convention.
* d0d7e16..: Eric Ludlam 2015-04-07 Uniquafy names from last example from=
 Martin to include ms_ prefix.
* 6513f47..: Alastair Rankine 2015-04-03 compdb: add project detection te=
sts
* 2985ce0..: Alastair Rankine 2015-03-22 compdb: Minor cleanups, using #'=
 syntax for lambdas, update Makefile
* cab556f..: Alastair Rankine 2015-03-22 compdb: Split build-command into=
 build-exe and compile-args, mainly for when we are invoking ninja in dif=
ferent ways
* 77ff231..: Alastair Rankine 2015-03-16 compdb: Allow ninja executable t=
o be determined/specified at runtime
* 50af3bb..: Eric Ludlam 2015-03-22 (ms_structs, fun): New test example f=
rom Marting Stein.
Batch  12
* bcd826b..: Eric Ludlam 2015-03-22 (semantic-analyze-tag-type): When fir=
st search fails, calc scope from the originating tag, and try again.
* 1a68ab5..: Eric Ludlam 2015-03-22 (semantic-calculate-scope-for-tag): N=
ew.
* 62fb6d2..: Eric Ludlam 2015-03-22 Remove references to EIEIO
* e5a3afe..: Eric Ludlam 2015-03-22 (semantic-throw-on-input): Wrap movin=
g pt and accepting process output in `save-excursion' to prevent point fr=
om moving during lexing.
* 8c0ec38..: Eric Ludlam 2015-03-22 (ede-detect-utest-init-dirmatch): For=
ce the dirmatch configdatastash to be unbound to force arduino to flush a=
ny cached values.
* 580415a..: Eric Ludlam 2015-03-22 (ede-project-autoload): convert :from=
config to a lambda expression.
* 66b4305..: Eric Ludlam 2015-03-22 (ede-calc-fromconfig): New fcn, can c=
onvert string or a function to a string.
* f983d6a..: Alastair Rankine 2015-03-12 compdb: minor tweaks and test up=
dates
Batch  11
* ad787fe..: Alastair Rankine 2015-03-08 Add expected failures when requi=
red compdb-utest executables are not available
* 9c663db..: Alastair Rankine 2015-03-08 Add cl-lib fallback library for =
emacs < 24.3
* 20fbcde..: Alastair Rankine 2015-03-08 Add compdb EDE project
* 57a0ec6..: Eric Ludlam 2015-03-01 (semantic-c-reconstitute-token): Do n=
ot strip a fcnpoint * off the name of an operator.
* 496501b..: David Engster 2015-02-18 semantic: Use with-current-buffer i=
nstead of save-excursion+set-buffer
* 87f8e15..: Eric Ludlam 2015-02-16 (srecode-macro-help): Replace eieio--=
class-children call with eieio-class-children.
* a638b4b..: Eric Ludlam 2015-02-16 (semanticd/find): New require
* edf1e6a..: Eric Ludlam 2015-02-16 (ede/shell): New rquire (semanticdb-f=
ile-table-object, semanticdb-needs-refresh-p, semanticdb-refresh-table): =
Declare these functions.
Batch  10
* 910023a..: Eric Ludlam 2015-02-16 (ede-global-list-sanity-check): Moved=
 from ede.el to here.
* 41dad3d..: Eric Ludlam 2015-02-16 (ede-directory-project-cons): Declare=
 this fcn in the header. (ede-global-list-sanity-check): Delete (moved to=
 files.el)
* 00dae7c..: Eric Ludlam 2015-02-16 (wisent-parse): The semantic action m=
ight be an EXPAND, EXPANDFULL or some similar action calling the parser r=
ecursively. If the last token of the recursively called parsing step fail=
ed to match it ends up in wisent-lookahead, and function wisent-parse-str=
eam pushs it back onto wisent-lex-istream. From there on it simply ends u=
p occuring twice on the unmatched-syntax-cache, or worse might even lead =
to parse errors in rare cases. Patch from Martin Stein
* 312cc98..: Eric Ludlam 2015-02-16 (semantic-ia-complete-symbol): Protec=
t against a nil prefix. (semantic-ia-complete-symbol-menu): If bounds are=
 empty (no prefix), don't delete region.
* 2909576..: Eric Ludlam 2015-02-16 (ede-enable-generic-projects): Change=
 :name of each autoloader to prefix with "Generic" to avoid conflicts wit=
h other types of projects that might have the same name.
* a735bee..: David Engster 2015-02-15 ede/auto: Fix incomplete patch
* 588860a..: David Engster 2015-02-15 tests: Fix typo in ede/detect-utest
* 73242a5..: David Engster 2015-02-15 ede/auto: Do not use `eieio-object-=
name-string'
Batch  9
* 90857cf..: David Engster 2015-02-15 cedet-build: Adapt to move of eieio=
 into subdirectory
* 715ffdb..: David Engster 2015-02-15 Move fallback libraries to subdirec=
tory
* 1ad5b9b..: Eric Ludlam 2015-02-15 (semantic-ctxt-current-argument-defau=
lt): Add comment about a bug in arg indexing.
* 03e2e1a..: Eric Ludlam 2015-02-15 (semanticdb-elisp-sym->tag): When get=
ting slots for a class tag, get them from sym, not semanticdb-project-dat=
abase (fix typo). When getting the slots, support older and newer version=
s of eieio.
* f8feae6..: David Engster 2015-02-13 semantic/idle: make-obsolete-variab=
le compatibility fix
* 0c8c249..: David Engster 2015-02-13 cedet-compat: Do not shadow locate-=
dominating-file
* 2844b43..: David Engster 2015-02-13 cedet-build: Use EIEIO fallback if =
necessary
* 8aa9203..: David Engster 2015-01-31 eieio: Move to obsolete and use the=
 one that ships with Emacs
Batch  8
* 6b8584f..: David Engster 2015-02-04 Makefile: Move touching of makefile=
s before clean-autoloads
* 91b4599..: David Engster 2015-02-04 Makefile: Touch makefiles before ge=
nerating autoloads
* d48fcb1..: Eric Ludlam 2015-01-26 (c-mode::semantic-idle-summary-curren=
t-symbol-info): The macro symbol value might be a string, so support that=
.
* c874307..: Eric Ludlam 2015-01-26 (cedet-utest-test-alist): Add ede-det=
ect-linux-utest.
* a68fa4d..: Eric Ludlam 2015-01-26 (ede-detect-utest-linux-extra-project=
-entries): New extra test options. (ede-detet-utest): Add FLAG input.  Ac=
cept 'linux option. (ede-detect-linux-utest): New. (ede-detect-utest-loop=
): Add FLAG input.  Accept a 'linux flag.
* 4aaa217..: Eric Ludlam 2015-01-26 (ede-linux--get-build-directory): Use=
 variable `project-linux-build-directory-default' of option options not a=
vailable.
* ff08daa..: Eric Ludlam 2015-01-26 (data-debug-insert-tag-list): Use `da=
ta-debug-insert-thing' instead of custom thing that had trouble with the =
read only buffer.
* 557784f..: Eric Ludlam 2015-01-26 (ede-proj-target-makefile:rules, ede-=
proj-target-makefile:inference-rules): Set type to ede-makefile-rule-list=
.
Batch  7
* d0ba859..: David Engster 2015-01-25 semantic/bovine/c: Add support for =
typedef references
* 79c3270..: David Engster 2015-01-25 Tests: Add ERT test for the C Bovin=
ator
* 6b6fd62..: David Engster 2015-01-25 semantic/bovine/c: Apply enum-type =
to all members
* 1f69aff..: David Engster 2015-01-24 Semantic: Do not add enum-type for =
every type
* b31eda6..: Ramkumar Ramachandra 2015-01-21 semantic/bovine/c: Parse C++=
11 strongly typed enum
* 6a5701d..: Joris Steyn 2015-01-16 Make semanticdb-default-find-index-cl=
ass buffer-local
* 265fa65..: Ramkumar Ramachandra 2015-01-17 semantic/bovine/c: Parse C++=
 override/final correctly
* 81a9aba..: Ramkumar Ramachandra 2015-01-11 gitignore: Ignore all backup=
 files
Batch  6
* b5cd376..: Ramkumar Ramachandra 2015-01-06 tests/Makefile: fix LOADPATH=
 to the extent possible
* f310c9e..: Alastair Rankine 2015-01-08 Convert .bzrignore -> .gitignore
* d31cdaf..: Steven R=C3=A9mot 2014-08-23 PHP: Implement namespaced names=
 (un)splitting
* 7443138..: Steven R=C3=A9mot 2014-08-23 PHP: Declare "\" as a punctuati=
on
* 8890d90..: Steven R=C3=A9mot 2014-08-23 PHP: Declare "\" as a type sepa=
rator
* c0c8dab..: Steven R=C3=A9mot 2014-08-23 PHP: Set member protection to p=
ublic by default
* b8913ea..: Steven R=C3=A9mot 2014-08-20 PHP: Parse interface constant d=
eclarations
* e80aaaf..: Steven R=C3=A9mot 2014-08-20 PHP: Made class constants tags =
be public
Batch  5
* e298565..: steven.remot@HIDDEN 2014-08-19 PHP: Fix consta=
nt declaration tag
* 3dc9578..: Steven R=C3=A9mot 2014-08-17 PHP: Remove injection of argume=
nts in local variables
* 7c1492e..: steven.remot@HIDDEN 2014-08-14 PHP: Start impl=
ementing "static" and "self"
* a4ef0b9..: steven.remot@HIDDEN 2014-08-13 PHP: Improve at=
tributes completion
* a7171f5..: steven.remot@HIDDEN 2014-08-13 PHP: Fix const =
attribute tag creation
* d798e69..: steven.remot@HIDDEN 2014-08-13 PHP: Fix alias =
tag creation
* 956ec75..: steven.remot@HIDDEN 2014-08-08 PHP: Move alias=
 merging code outside of grammar
* 46202f0..: steven.remot@HIDDEN 2014-08-08 PHP: Split expa=
nd function
Batch  4
* e9b51bd..: steven.remot@HIDDEN 2014-08-06 PHP: Implement =
multiple aliases in one USE
* fa25182..: Steven R=C3=A9mot 2014-08-02 PHP: Improve support of class f=
ields and constants declaration
* bde7419..: steven.remot@HIDDEN 2014-08-01 Add support for=
 optionnal type on arguments
* 5d69bbb..: Steven R=C3=A9mot 2014-07-23 PHP: Basic support for use stat=
ement
* 9823989..: Steven R=C3=A9mot 2014-07-23 PHP: Implement basic namespace =
support using TYPE-TAG
* 318d628..: steven.remot@HIDDEN 2014-07-22 Support use of =
namespaced identifiers
* 325c6d4..: Steven R=C3=A9mot 2014-07-19 PHP: Support for top-file "name=
space" directive
* 306b13d..: David Engster 2014-12-29 Replace bzr with git in INSTALL and=
 cedet-devel-load
Batch  3
* 302ddb6..: David Engster 2014-12-29 Replace USING_CEDET_FROM_BZR with G=
IT_WORKFLOW
* ab907db..: Eric Ludlam 2014-12-02 (eieio-describe-class): Fix doc strin=
g.
* e06d92f..: Eric Ludlam 2014-11-26 (Af): Add a friend of C w/out the CLA=
SS token. (C): New. (scA, scB, scC, scD): New test classes. (main): New (=
scA::PublicMethod, scB::b_pub_method, scC::c_pub_method) (scD::d_pub_meth=
od): New.
* 126c2e0..: Eric Ludlam 2014-11-26 (classsubparts): Add a FRIEND for a c=
lass that doesn't specify the token CLASS. Add SEMICOLON to end of friend=
 statements.
* 6a2b044..: Eric Ludlam 2014-11-26 (ede-proj-makefile-insert-variables):=
 Request the grammar name come from the file name, not the %package token=
.
* 32d5915..: Eric Ludlam 2014-11-26 (semantic-grammar-package): Add optio=
nal 'fromfile' option. This indicates we want to make a filename from the=
 originating file name.
Batch  2
*   5b720bf..: Eric Ludlam 2014-11-26 Merge from trunk
|\ =20
| * 06c2b85..: Eric Ludlam 2014-11-26 Fix previous checkin msg: (semantic=
-analyze-scoped-tags-default): Add "enum" as pulling contents into parent=
 scope similar to namespace.
| * 4684aa3..: Eric Ludlam 2014-11-26 (semantic-analyze-debug-assist): Ad=
d autoload cookie.
* | b1bcdcf..: Eric Ludlam 2014-11-26 (semantic-ia-utest-file-list): add =
testwisent.wy
* | 415f944..: Eric Ludlam 2014-11-26 Tests for completiong symbols in wi=
sent grammars.
* | 5249e29..: Eric Ludlam 2014-11-26 (wisent-python-default-setup): Add =
syntax mod for . as punctuation.
* | 58c4e48..: Eric Ludlam 2014-11-26 (semantic-type-relation-separator-c=
haracter): New, and empty.
* | 4a297f2..: Eric Ludlam 2014-11-26 (semantic-grammar-create-package): =
Get the setupfcn and mode before switching to other buffers. Don't specia=
l eval defvar, we generate defconst now. Be more aggressive reparsing ope=
n buffers of the mode being updated. (semantic-grammar-mode-map): Don't b=
ind M-TAB (semantic-grammar-menu): Use completion-at-point instead of gra=
mmar version. (semantic-grammar-mode): Remove type relation character. (s=
emantic-grammar-complete): Delete. (semantic-ctxt-current-class-list): Al=
so support 'token' class. (semantic-analyze-possible-completions): Suppor=
t the optional FLAGS that are passed in for other languages. Reverse the =
found prefix.
* | 3a2b292..: Eric Ludlam 2014-11-26 (semantic-ctxt-current-symbol-defau=
lt): Allow the type relation separator to be empty for languages that don=
't have symbol sequences, such as grammars and Lisp.
* | 5b004b3..: Eric Ludlam 2014-11-26 (semantic-analyze-show): Protect ag=
ainst unbound error slot.
|/
Batch  1
* 8d58f6f..: Eric Ludlam 2014-11-25 (ede-android-project-data): Make robu=
st to more whitespace around the specification of :name.
* 940af1c..: Eric Ludlam 2014-11-24 (NS2::Myclass, MyClassHandle, dixon):=
 New test w/ a typedef that has keyword "class" included, instead of omit=
ted as with other tests.
* 19cebe7..: Eric Ludlam 2014-11-24 (semantic-format-tag-canonical-name):=
 Add part for a type with :parent. Merge parent names together. (semantic=
-c-dereference-typedef): If type is tag, use cononical name.
* b4c9855..: Eric Ludlam 2014-11-24 (semanticdb-enable-gnu-global-in-buff=
er): Don't try if file doesn't exist.
* 04f4244..: Eric Ludlam 2014-11-24 (semanticdb-enable-cscope-in-buffer):=
 Don't try if file doesn't exist.
* f36f29b..: Eric Ludlam 2014-11-22 (ede-project-with-config-java): Add :=
classpath slot. This was missed when copying from generic.el.




Acknowledgement sent to charles@HIDDEN (Charles A. Roelli):
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#28878; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.